> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a log of changes for tickets

> Create a new ticket. The request body should be a list of ticket properties you want to set for the new ticket, with each entry being the internal name of the property to be set, and the value of that property. You must set the ticket pipeline and stage when creating a new ticket. Please see the example for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['tickets']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-tickets-v1.json GET /crm-objects/v1/change-log/tickets
openapi: 3.0.0
info:
  title: CRM Tickets API v1
  version: 1.0.0
  description: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/change-log/tickets:
    get:
      summary: Get a log of changes for tickets
      description: >-
        Create a new ticket. The request body should be a list of ticket
        properties you want to set for the new ticket, with each entry being the
        internal name of the property to be set, and the value of that property.
        You must set the ticket pipeline and stage when creating a new ticket.
        Please see the example for more details.
      operationId: getcrmobjectsv1changelogtickets
      responses:
        '200':
          description: Successful response - Create a new ticket
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a log of changes for tickets - Example 1
                  value:
                    - timestamp: 1525297495553
                      changeType: CHANGED
                      objectId: 176602
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - content
                          - status
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525297514887
                      changeType: CHANGED
                      objectId: 176602
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - content
                          - status
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525298220133
                      changeType: CHANGED
                      objectId: 194042
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - subject
                          - created_by
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525298357009
                      changeType: CREATED
                      objectId: 217650
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - subject
                          - createdate
                          - source_type
                          - created_by
                          - content
                          - status
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
      security:
        - oauth2:
            - tickets
        - oauth2_legacy: []
        - private_apps:
            - tickets
        - private_apps_legacy: []
components: {}

````